# DBpedia Ontology instance types
Classification of instances with the DBpedia Ontology. Contains triples of the form `<$resource> rdf:type <$dbpedia_ontology_class>` generated by the mappings extraction. 

## Most specific vs. transitive files
The dataset contains a file with just the types as classified with the mapping extractor. These types are normally the most specific class, they originate directly from the `map to class` template on [mappings.dbpedia.org](http://mappings.dbpedia.org). In addition, a file with the `_transitive` tag is generated by the [DIEF Transitive Closure Class](https://github.com/dbpedia/extraction-framework/blob/master/core/src/main/scala/org/dbpedia/extraction/util/TransitiveClosure.scala) on release, containing the pre-calculated forward-inferences (transitive closure), i.e. with all superclasses. If your application/store does not support reasoning, additionally use the `_transitive` file. 

## Entities with double underscore
In addition to the `map to class` types,  entities ending with `__[number]` are not duplicates but conform to the knowledge graph modelling choices and are generated by the [DIEF Node class](https://github.com/dbpedia/extraction-framework/blob/master/core/src/main/scala/org/dbpedia/extraction/wikiparser/Node.scala). Most of them are instances of `dbo:CareerStation`(see [examples](https://dbpedia.org/sparql?default-graph-uri=http%3A%2F%2Fdbpedia.org&query=select+%3Fs+%7B+%3Fs+a+dbo%3ACareerStation+%7D+limit+100&format=text%2Fhtml&CXML_redir_for_subjs=121&CXML_redir_for_hrefs=&timeout=30000&debug=on&run=+Run+Query+)), which represent time periods, therefore provide statements that hold true only within a determined time span. In the case of [Ada Lovelace](http://dbpedia.org/resource/Ada_Lovelace), potential other metadata can be added to the person function "Countess of Lovelace" instead of adding predicates directly to the entity dbr:Ada_Lovelace. (see [Duplicate resource names with underscore](https://forum.dbpedia.org/t/duplicate-resource-names-with-underscore/104))
